/*
 *	Copyright (C) Performance Awareness Corporation, 1986, 1987, 1988,
 *		1989, 1990, 1991, 1992, 1993, 1994, 1995, 1997
 *	ALL RIGHTS RESERVED WORLDWIDE.
 *
 *	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF
 *	Performance Awareness Corporation
 *	and should be treated as Confidential.
 *
 *	The copyright notice above does not evidence any
 *	actual or intended publication of such source code.
 *
 *	preVue is a trademark of Performance Awareness Corporation.
 */

#ifndef	__PREVUECS_TUX_H_INCLUDED

#define NULL_BUF	-1

#define	TPU_SIG		0x01
#define	TPU_DIP		0x02
#define	TPU_IGN		0x04
#define	TPSA_FASTPATH	0x08
#define	TPSA_PROTECTED	0x10

#define	TPNOFLAGS	0x0000
#define	TPNOBLOCK	0x0001
#define	TPSIGRSTRT	0x0002
#define	TPNOREPLY	0x0004
#define	TPNOTRAN	0x0008
#define	TPNOTIME	0x0020
#define	TPABSOLUTE	0x0040
#define	TPGETANY	0x0080
#define	TPNOCHANGE	0x0100
#define	TPSENDONLY	0x0800
#define	TPRECVONLY	0x1000

#define	TPNOAUTH	0
#define	TPSYSAUTH	1
#define	TPAPPAUTH	2

#define	TP_CMT_LOGGED	0x1
#define	TP_CMT_COMPLETE	0x2

#define	TPQCORRID	0x0001
#define	TPQFAILUREQ	0x0002
#define	TPQBEFOREMSGID	0x0004
#define	TPQGETBYMSGID	0x0008
#define	TPQMSGID	0x0010
#define	TPQPRIORITY	0x0020
#define	TPQTOP		0x0040
#define	TPQWAIT		0x0080
#define	TPQREPLYQ	0x0100
#define	TPQTIME_ABS	0x0200
#define	TPQTIME_REL	0x0400
#define	TPQGETBYCORRID	0x0800
#define	TPQPEEK		0x1000

#define	TPEVSERVICE	0x1
#define	TPEVQUEUE	0x2
#define	TPEVTRAN	0x4
#define	TPEVPERSIST	0x8

#define	TPMINVAL	0
#define	TPEABORT	1
#define	TPEBADDESC	2
#define	TPEBLOCK	3
#define	TPEINVAL	4
#define	TPELIMIT	5
#define	TPENOENT	6
#define	TPEOS		7
#define	TPEPERM		8
#define	TPEPROTO	9
#define	TPESVCERR	10
#define	TPESVCFAIL	11
#define	TPESYSTEM	12
#define	TPETIME		13
#define	TPETRAN		14
#define	TPGOTSIG	15
#define	TPERMERR	16
#define	TPEITYPE	17
#define	TPEOTYPE	18
#define	TPERELEASE	19
#define	TPEHAZARD	20
#define	TPEHEURISTIC	21
#define	TPEEVENT	22
#define	TPEMATCH	23
#define	TPEDIAGNOSTIC	24
#define	TPEMIB		25
#define	TPMAXVAL	26

#define	TPEV_DISCONIMM	0x01
#define	TPEV_SVCERR	0x02
#define	TPEV_SVCFAIL	0x04
#define	TPEV_SVCSUCC	0x08
#define	TPEV_SENDONLY	0x20

#define	QMEINVAL	-1
#define	QMEBADRMID	-2
#define	QMENOTOPEN	-3
#define	QMETRAN		-4
#define	QMEBADMSGID	-5
#define	QMESYSTEM	-6
#define	QMEOS		-7
#define	QMEABORTED	-8
#define	QMENOTA		-8
#define	QMEPROTO	-9
#define	QMEBADQUEUE	-10
#define	QMENOMSG	-11
#define	QMEINUSE	-12
#define	QMENOSPACE	-13

#define	BUFTYP_CARRAY	0x01
#define	BUFTYP_CLIENTID	0x02
#define	BUFTYP_FML	0x03
#define	BUFTYP_FML32	0x04
#define	BUFTYP_REVENT	0x05
#define	BUFTYP_STRING	0x06
#define	BUFTYP_SUBTYPE	0x07
#define	BUFTYP_TPEVCTL	0x08
#define	BUFTYP_TPINIT	0x09
#define	BUFTYP_TPQCTL	0x0a
#define	BUFTYP_TPTRANID	0x0b
#define	BUFTYP_TYPE	0x0c
#define	BUFTYP_TXINFO	0x0d
#define	BUFTYP_VIEW	0x0e
#define	BUFTYP_VIEW32	0x0f
#define	BUFTYP_X_C_TYPE	0x10
#define	BUFTYP_X_COMMON	0x11
#define	BUFTYP_X_OCTET	0x12
#define	BUFTYP_XID	0x13

#define	_SIZEOF_LONG	4
#define	_SIZEOF_TPINIT	140
#define	TPINITNEED(u)	(((u)>_SIZEOF_LONG)?(_SIZEOF_TPINIT-_SIZEOF_LONG+(u)) \
			:(_SIZEOF_TPINIT))

#define	__PREVUECS_TUX_H_INCLUDED
#endif	/* __PREVUECS_TUX_H_INCLUDED */
